<mat-toolbar *ngIf="runner.status !== 'uninitialized'">
  <mat-toolbar-row>
    <span (click)="builder.controller.edit()" class="title">{{ runner.name || "Unnamed" }}</span>
    <a mat-button color="primary" href="https://gitlab.com/tripetto/examples/angular-material" target="_blank">
      <mat-icon>code</mat-icon> Get source
    </a>
    <a
      mat-button
      color="primary"
      href="https://gitlab.com/tripetto/examples/angular-material/blob/main/README.md"
      target="_blank"
    >
      <mat-icon>description</mat-icon> View readme
    </a>
    <button mat-button color="primary" (click)="app.restore()"><mat-icon>first_page</mat-icon> Restore demo</button>
    <span class="spacer"></span>
    <span>
      <button
        mat-stroked-button
        class="button-left"
        title="Start form"
        [disabled]="
          runner.status === 'empty' ||
          runner.status === 'preview' ||
          (runner.status !== 'stopped' && runner.status !== 'finished')
        "
        (click)="runner.start()"
      >
        <mat-icon>play_arrow</mat-icon>
      </button>
      <button
        mat-stroked-button
        class="button-center"
        title="Pause form"
        [disabled]="runner.status !== 'running'"
        (click)="runner.pause()"
      >
        <mat-icon>pause</mat-icon>
      </button>
      <button
        mat-stroked-button
        class="button-center"
        title="Stop form"
        [disabled]="runner.status !== 'running'"
        (click)="runner.stop()"
      >
        <mat-icon>stop</mat-icon>
      </button>
      <button
        mat-stroked-button
        class="button-right"
        title="Reset form"
        [disabled]="runner.status !== 'running'"
        (click)="app.reset()"
      >
        <mat-icon>replay</mat-icon>
      </button>
      <button
        *ngIf="!runner.preview"
        [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
        mat-flat-button
        color="primary"
        class="button-left"
      >
        Run
      </button>
      <button
        *ngIf="runner.preview"
        [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
        mat-stroked-button
        class="button-left"
        (click)="runner.set('preview', false)"
      >
        Run
      </button>
      <button
        *ngIf="runner.preview"
        [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
        mat-flat-button
        color="primary"
        class="button-right"
      >
        Preview
      </button>
      <button
        *ngIf="!runner.preview"
        [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
        mat-stroked-button
        class="button-right"
        (click)="runner.set('preview', true)"
      >
        Preview
      </button>
      <button mat-stroked-button [disabled]="isSettingsOpened" (click)="openSettings()">
        <mat-icon>settings</mat-icon>
      </button>
    </span>
  </mat-toolbar-row>
</mat-toolbar>
